#!/usr/bin/env python3
# coding: utf-8

"""Format library for af_analysis module."""

# Autorship information
__author__ = "Samuel Murail"
__copyright__ = "Copyright 2023, RPBS"
__credits__ = ["Samuel Murail"]
__license__ = "GNU General Public License version 2"
__version__ = "0.1.1"
__maintainer__ = "Samuel Murail"
__email__ = "samuel.murail@u-paris.fr"
__status__ = "Beta"

from .data import Data
import logging
import sys

# Logging
logger = logging.getLogger(__name__)


def show_log():
    logger.setLevel(logging.INFO)
    if not logger.hasHandlers():
        handler = logging.StreamHandler(sys.stdout)
        handler.setLevel(logging.INFO)
        formatter = logging.Formatter("%(name)s - %(levelname)s - %(message)s")
        handler.setFormatter(formatter)
        logger.addHandler(handler)
